#ifndef CONFIG_H
#define CONFIG_H

#include <xmmintrin.h>
#include <emmintrin.h>

#define DOUBLE_PREC 0

#if DOUBLE_PREC
typedef double Real;
const int REGSIZE = 2;
#else
typedef float Real;
const int REGSIZE = 4;
#endif

const int NPART = 50*REGSIZE;
const int NSTEP = 1000000;

typedef __m128 SIMD;

#endif
